Package Details: openhab-runtime 1.8.3-2

Git Clone URL: https://aur.archlinux.org/openhab-runtime.git (read-only)
Package Base: openhab-runtime
Description: openHAB automation runtime
Upstream URL: http://www.openhab.org/
Licenses: EPL
Submitter: tlanfer
Maintainer: None
Last Packager: tlanfer
Votes: 9
Popularity: 0.009422
First Submitted: 2015-06-30 20:59
Last Updated: 2016-10-23 19:32

Latest Comments

hexadecagram commented on 2017-04-03 08:35

Looks like openhab-beta has been bumped but is currently out-of-date and the snapshot integrity verification fails.

@craftyguy: Would appreciate it if you could pick this up. Is it worth it? I haven't used the software but it seems like it would fit in well with my homeautomation setup.

craftyguy commented on 2017-03-08 20:17

tlanfer: thank you for your service, much appreciated! I'll see if this is something I am capable of picking up..

tlanfer commented on 2017-03-08 19:58

I cant really find the time to maintain this. I disowned the package, if someone else wants to step in.

craftyguy commented on 2017-03-08 19:42

Is the maintainer no longer maintaining this package? It's been out of date for almost 2 months.

DonOregano commented on 2017-01-28 18:04

2.0 is out!

hexadecagram commented on 2017-01-03 06:21

When attempting to build this package (as well as openhab-beta), I get the following error. I cannot even attempt an installation of openhab-addons because it depends on openhab-runtime but it's probably worth checking as well.

==> Finished making: openhab-runtime 1.8.3-1 (Mon Jan 2 22:17:15 PST 2017)
==> Cleaning up...
:: Installing openhab-runtime package(s)...
:: openhab-runtime package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD.

GraysonPeddie commented on 2016-10-23 23:25

Thanks. It works.

tlanfer commented on 2016-10-23 19:34

@GraysonPeddie: I took your package()-function form the linked forum post and updated the package.
Did not have time to check it, but i know that as it is, my package was broken.

GraysonPeddie commented on 2016-10-19 16:39

Weird. It seems my comment got truncated. Please refer to my thread in the OpenHAB forum:

https://community.openhab.org/t/insteon-hub-with-plm-a-misprint-in-wiki-2012-v-has-plm/15455/9

Scroll down for modifications to package().

GraysonPeddie commented on 2016-10-19 16:37

I would like to make a suggestion for a modification.

Change:

package() {
cd $pkgdir
mkdir -p opt
mkdir -p etc/openhab/addons-enabled
mkdir -p etc/conf.d
mkdir -p usr/lib/systemd/system
cp $srcdir/openhab.service usr/lib/systemd/system
cp -r $srcdir/openhab-runtime opt
cp $srcdir/openhab etc/conf.d
mv opt/openhab-runtime/configurations etc/openhab/configurations
ln -s /etc/openhab/configurations opt/openhab-runtime/configurations
ln -s /etc/openhab/addons-enabled opt/openhab-runtime/addons
}

To:

package() {
cd $pkgdir
mkdir -p opt
mkdir -p etc/conf.d
mkdir -p usr/lib/systemd/system
cp $srcdir/openhab.service usr/lib/systemd/system
cp -r $srcdir/openhab-runtime opt
cp $srcdir/openhab etc/conf.d
mv opt/openhab-runtime/addons etc/openhab/
mv opt/openhab-runtime/configurations etc/openhab/
ln -s /etc/openhab/configurations opt/openhab-runtime/configurations
ln -s /etc/openhab/addons opt/openhab-runtime/addons
}

It should work, though I will need to uninstall and reinstall OpenHAB through AUR with modifications.

All comments